Scroll

Notice: Change Healthcare updating security on 10/15/21

We have been informed by our partner clearinghouse Change Healthcare (formerly Capario) that they will be implementing updated security protocols on all of their servers. This update will require all practices and partners that interact with Change Healthcare servers to utilize TLS 1.2.

This security update will be implemented at Change Healthcare on October 15, 2021.

To MacPractice offices, this security update means that all offices that submit to Change Healthcare, utilize B2B eligibility checking, or download ERAs will be required to update their MacPractice to build 7.3.15 or greater.

Without the required updates, MacPractice offices that submit will be unable to submit electronic claims, check eligibility through MacPractice, or download ERAs until the required updates are installed.

We apologize for the short notice and any inconvenience this may cause your office.

What do I need to do to avoid interruptions in service?

  • You will need to confirm that you are running a build of MacPractice of 7.3 or higher.
    • You can check which build you're currently running by navigating to the MacPractice Menu in the upper left corner of the MacPractice window and selecting "About MacPractice".
      Screen_Shot_2017-06-29_at_11.44.24_AM.png
    • In the window that appears, look for the "MacPractice Build" line, as shown in the below screenshot. It'll be the third line down.
      Screen_Shot_2017-06-29_at_11.44.57_AM.png
  • If you are not running MacPractice 7.3 or higher, you'll need to update to 7.3 at minimum in order to continue to use Change Healthcare features.
    • You can either call MacPractice Support at (877) 220-8418, or you can e-mail Support@MacPractice.com and express that you've been advised to update to 7.3 or higher.
    • You may need to confirm that your hardware can run MacPractice Build 7.3. We've listed the System Requirements for 7.3 below.

System Requirements for 7.3

Server

Operating System: Mac OS X El Capitan (10.11), Sierra (10.12), High Sierra (10.13)
Processor: i3+ and Xeon (64-bit architecture is required)
Memory: 16 GB RAM minimum (16+ GB recommended)
Hard Drive: 154 GB minimum (1+ TB recommended)

Clients

Operating System: Mac OS X El Capitan (10.11), Sierra (10.12), High Sierra (10.13)
Processor: i3+ and Xeon (64-bit architecture is required)
Memory: 8 GB RAM minimum (8+ GB RAM recommended)
Hard Drive: 128 GB minimum (128+ GB recommended)

 

Was this article helpful?
1 out of 1 found this helpful

Comments